Play media
GET https://www.expedy.fr/api/v2/medias/{media_id}/play/{device_uid}/{hdmi_port}/{loop}
This endpoint allows you to play a specific media file on a specific device, on one or both of its hdmi ports.
Valid hdmi_port arguments are : "1", "2" or "sync" (play on both hdmi outputs)
Valid loop arguments are : "0" (no loop) or "1" (infinite loop)
Authentication
This endpoint requires an Authorization header with a valid API key.
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
media_id |
string |
Yes | |
device_uid |
string |
Yes | |
device_uid |
string |
Yes | |
hdmi_port |
string |
Yes | |
loop |
string |
Yes |
Response 200
OK
| Parameter | Type | Required | Description |
|---|---|---|---|
last_ping |
number |
No | (ex: 1641509604) |
Response Example:
{
"last_ping": 1641509604
}